TypoScript Reference (TSref) - Feature # 57171

Status: Resolved Priority: Should have
Author: Oliver Hader Category:

Created: 2014-03-22 Assigned To: Chris topher
Updated: 2014-03-25 Due date:

Subiject: select: Enable queries using "root" and "-1" for pidinList

Description

The change refers to http://docs.typo3.org/typo3cms/TyposcriptReference/Functions/Select/Index.html

select.pidinList now supports the new values "root" and "-1".

Add to documentation

Since TYPO3 CMS 6.2 it is possible to select records from the root-page level, like from the table "sys_category". For this case, it is
required that "root" is set.

Besides that, version records can be selected directly by setting the value to "-1", this allows to directly select workspace versioned
records.

Special keyword: "this" is replaced with the id of the current page, "root" is replaced with the root-page level (records with pid=0)

Example:

/I Fetching related sys_category records
// stored in the MM intermediate table
10 = CONTENT
10 {
table = sys_category
select {
pidinList = root,-1
selectFields = sys_category.*
join = sys_category_record_mm ON sys_category_record_mm.uid_local = sys_category.uid
where.data = field:_ ORIG_uid // field:uid
where.intval = 1
where.wrap = sys_category_record_mm.uid_foreign=|
orderBy = sys_category_record_mm.sorting_foreign
languageField = sys_category.sys_language_uid

See #57168

Related issues:
related to Core - Task # 57168: Enable queries using "root" and "-1" for pidl... Resolved 2014-03-21

Associated revisions

Revision b246b59b - 2014-03-25 12:02 - Chris topher

[TASK] select: Enable queries using "root" and "-1" for pidInList
http://docs.typo3.org/typo3cms/TyposcriptReference/Functions/Select/Index.html

Property select.pidinList of the select function now supports the new

values "root" and "-1". Document them!

Change-Id: 1923b381ac0ea7a75d806c1f532f4b994b86e08fc
Resolves: #57171
Reviewed-on: https://review.typo3.0rg/28752

Reviewed-by: Chris topher
Tested-by: Chris topher

History

#1 - 2014-03-22 02:04 - Oliver Hader

The feature got merged in between.

#2 - 2014-03-25 11:57 - Chris topher

- Assigned To set to Chris topher

#3 - 2014-03-25 11:58 - Chris topher
- Subject changed from Enable queries using "root" and "-1" for pidinList to select: Enable queries using "root" and "-1" for pidinList

#4 - 2014-03-25 11:58 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.

It is available at https://review.typo3.org/28752

#5 - 2014-03-25 12:00 - Gerrit Code Review

Patch set 2 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.

It is available at https://review.typo3.0rg/28752

#6 - 2014-03-25 12:00 - Gerrit Code Review

Patch set 3 for branch master of project Documentation/TYPO3/Reference/Typoscript has been pushed to the review server.
It is available at https://review.typo3.0rg/28752

#7 - 2014-03-25 13:47 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b246b59b0462ad8d3545a0f49d233f72992ac565.
